Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SbSpherePlaneProjector Class Reference
[Projector classes (mostly for internal use)]

The SbSpherePlaneProjector class projects 2D points to a half-sphere and a plane. More...

`#include <Inventor/projectors/SbSpherePlaneProjector.h>`

Inheritance diagram for SbSpherePlaneProjector:

List of all members.

## Public Methods
| SbSpherePlaneProjector (const float edgetol=0.9f, const SbBool orienttoeye=TRUE)
| SbSpherePlaneProjector (const SbSphere &sph, const float edgetol=0.9f, const SbBool orienttoeye=TRUE)
virtual SbProjector * | copy (void) const
virtual SbVec3f | project (const SbVec2f &point)
virtual SbRotation | getRotation (const SbVec3f &point1, const SbVec3f &point2)
## Protected Methods
SbRotation | getRotation (const SbVec3f &point1, const SbBool tol1, const SbVec3f &point2, const SbBool tol2)

## Detailed Description

The SbSpherePlaneProjector class projects 2D points to a half-sphere and a plane.

This projector uses a plane along with the half-sphere of SbSphereSectionProjector for projections. If the 2D point mapping "misses" the sphere section, the 3D point will be projected onto the plane.

See also:
  SbCylinderPlaneProjector

## Constructor & Destructor Documentation

SbSpherePlaneProjector::SbSpherePlaneProjector | ( | const float | edgetol = 0.9f,
|  | const SbBool | orienttoeye = TRUE
| ) |

| Default constructor. See SbSphereSectionProjector::SbSphereSectionProjector().

SbSpherePlaneProjector::SbSpherePlaneProjector | ( | const SbSphere & | sph,
|  | const float | edgetol = 0.9f,
|  | const SbBool | orienttoeye = TRUE
| ) |

| Constructor with explicit specification of projection sphere.

## Member Function Documentation

SbProjector * SbSpherePlaneProjector::copy | ( | void |  | ) | const`[virtual]`

| Construct and return a copy of this projector. The caller is responsible for destructing the new instance. Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes. Reimplemented from SbSphereSectionProjector.

SbVec3f SbSpherePlaneProjector::project | ( | const SbVec2f & | point | ) | `[virtual]`

| Project the 2D point from normalized viewport coordinates to a 3D point. The mapping will be done in accordance with the type of the projector. Reimplemented from SbSphereSectionProjector.

SbRotation SbSpherePlaneProjector::getRotation | ( | const SbVec3f & | point1,
|  | const SbVec3f & | point2
| ) | `[virtual]`

| Returns rotation on the projection surface which re-orients point1 to point2. Reimplemented from SbSphereSectionProjector.

SbRotation SbSpherePlaneProjector::getRotation | ( | const SbVec3f & | point1,
|  | const SbBool | tol1,
|  | const SbVec3f & | point2,
|  | const SbBool | tol2
| ) | `[protected]`

| Calculates rotation from point1 to point2, with tol1 and tol2 deciding whether or not to use the tolerance setting.

The documentation for this class was generated from the following files:

- SbSpherePlaneProjector.h
- SbSpherePlaneProjector.cpp